description

# ProcessStartMode class Null safety

Modes for running a new process.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

values → List<ProcessStartMode>
  read-only

## Constants

DETACHED → const ProcessStartMode
  @Deprecated("Use detached instead")
  `detached`
detached → const ProcessStartMode
  Detached child process with no open communication channel.
  `const ProcessStartMode._internal(2)`
DETACHED_WITH_STDIO → const ProcessStartMode
  @Deprecated("Use detachedWithStdio instead")
  `detachedWithStdio`
detachedWithStdio → const ProcessStartMode
  Detached child process with stdin, stdout and stderr still open for communication with the child.
  `const ProcessStartMode._internal(3)`
INHERIT_STDIO → const ProcessStartMode
  @Deprecated("Use inheritStdio instead")
  `inheritStdio`
inheritStdio → const ProcessStartMode
  Stdio handles are inherited by the child process.
  `const ProcessStartMode._internal(1)`
NORMAL → const ProcessStartMode
  @Deprecated("Use normal instead")
  `normal`
normal → const ProcessStartMode
  Normal child process.
  `const ProcessStartMode._internal(0)`